<?php
/**
 * Sidebar settings
 */

$wp_customize->add_section(
	'nostalgic_blog_sidebar_option',
	array(
		'title' => esc_html__( 'Sidebar Options', 'nostalgic-blog' ),
		'panel' => 'nostalgic_blog_theme_options_panel',
	)
);

// Sidebar Option - Global Sidebar Position.
$wp_customize->add_setting(
	'nostalgic_blog_sidebar_position',
	array(
		'sanitize_callback' => 'nostalgic_blog_sanitize_select',
		'default'           => 'right-sidebar',
	)
);

$wp_customize->add_control(
	'nostalgic_blog_sidebar_position',
	array(
		'label'   => esc_html__( 'Global Sidebar Position', 'nostalgic-blog' ),
		'section' => 'nostalgic_blog_sidebar_option',
		'type'    => 'select',
		'choices' => array(
			'right-sidebar' => esc_html__( 'Right Sidebar', 'nostalgic-blog' ),
			'no-sidebar'    => esc_html__( 'No Sidebar', 'nostalgic-blog' ),
		),
	)
);

// Sidebar Option - Post Sidebar Position.
$wp_customize->add_setting(
	'nostalgic_blog_post_sidebar_position',
	array(
		'sanitize_callback' => 'nostalgic_blog_sanitize_select',
		'default'           => 'right-sidebar',
	)
);

$wp_customize->add_control(
	'nostalgic_blog_post_sidebar_position',
	array(
		'label'   => esc_html__( 'Post Sidebar Position', 'nostalgic-blog' ),
		'section' => 'nostalgic_blog_sidebar_option',
		'type'    => 'select',
		'choices' => array(
			'right-sidebar' => esc_html__( 'Right Sidebar', 'nostalgic-blog' ),
			'no-sidebar'    => esc_html__( 'No Sidebar', 'nostalgic-blog' ),
		),
	)
);

// Sidebar Option - Page Sidebar Position.
$wp_customize->add_setting(
	'nostalgic_blog_page_sidebar_position',
	array(
		'sanitize_callback' => 'nostalgic_blog_sanitize_select',
		'default'           => 'right-sidebar',
	)
);

$wp_customize->add_control(
	'nostalgic_blog_page_sidebar_position',
	array(
		'label'   => esc_html__( 'Page Sidebar Position', 'nostalgic-blog' ),
		'section' => 'nostalgic_blog_sidebar_option',
		'type'    => 'select',
		'choices' => array(
			'right-sidebar' => esc_html__( 'Right Sidebar', 'nostalgic-blog' ),
			'no-sidebar'    => esc_html__( 'No Sidebar', 'nostalgic-blog' ),
		),
	)
);
